Subject: Re: Feature Request - Better i18n support

From: "brian m. carlson" <[email-masked]>
Date: Thu, 9 Mar 2023 22:27:52 +0000

On 2023-03-09 at 12:56:21, Emir SARI wrote:
> Greetings,

Hey,

> Git is translated into many languages, but as far as I can see, it does not
> take localisation formats into account nor it allows them to be translated
> into localised formats.

Thanks for the report.

> For instance, in Turkish (and in French AFAIK), percentages are indicated
> in different formats. In Turkish it precedes the number like %54. However,
> all the percentages use the standard 54%. By marking these as translatable,
> we could easily provide the correct formats.

I think this should be relatively easy to do.  I didn't know Turkish did
this (and I suspect nobody else did or we'd have fixed it), but I
haven't personally seen this in French (which doesn't mean that it isn't
done in some places).  We've already done human-readable byte values,
which do vary in French (due to it using o, for octet, instead of B), so
I don't see any reason why this couldn't be fixed.

More specifically, I think it could be fixed for progress output, but
there are a few places in diff output where it couldn't because it might
be parsed.  Would you be willing to try a patch for this?  I think the
code you're probably thinking about is in progress.c (search for "%%"),
but there might be other places you have in mind as well.

> Another thing is the decimal signs. In many languages, a comma (,) is used to
> indicate decimals, however Git does not allow another formats. I am not sure
> how to achieve this in C, but it would be great to have this in order to have
> an errorless professional look in Git outputs.

Can you clarify what places you're thinking about?  Is this printing
decimal values, or is it parsing decimal values?  If we know what
specifically is affected (for example, an affected command or message),
it's a lot easier to fix this.
-- 
brian m. carlson (he/him or they/them)
Toronto, Ontario, CA